/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef DATACONTAINER_H
#define DATACONTAINER_H  

#include "objparm.h"
class qt_oraconnect;
class qstring;
class qstringlist;

class DataContainer
{
public:
	DataContainer(qt_oraconnect * cObj=0, const QString& sql=QString::null);
	//DataContainer(qt_oraconnect * cObj=0, const char * sql=0);
	virtual ~DataContainer();
	virtual const QString& getSQL();// const;
	//virtual const char* getSQL();// const;
	virtual const QString& getOriginalSQL() const;
	//virtual const char* getOriginalSQL() const;
	virtual void setSQL(const QString& sql);
	//virtual void setSQL(const char * sql);
	virtual void setConnObj(qt_oraconnect * cObj);
	virtual long retrieve(const ObjParm * parm=0)=0;
	virtual void setSort(const QString& s);
	virtual const QString& getSort() const;
	virtual void setFilter(const QString& f);
	virtual const QString& getFilter() const;
	virtual const QStringList& getColList() const;
	virtual const bool getLogMode() const;
	virtual void setLogMode(const bool ror);
	virtual const bool& getNoInitQuery() const;
	virtual void setNoInitQuery(const bool niq);


protected:
	qt_oraconnect * getConnObj();
	void addToColList(const QString col);
	void clearColList();

private:
	void ParseSQL();

	qt_oraconnect* DataSource;
	QString sql;
	//char* sql;
	QString originalSQL;
	//char* originalSQL;
	QStringList columns,tables;
	QString select,from,where,orderby;
	QString filter,sort;

	bool logMode;
	bool noInitQuery;
};


#endif  
