/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include "datadisplay.h" 
#include <iostream.h> 
#include <qpopupmenu.h> 
#include "qt_oraconnect.h"
#include "sortdlg.h"
#include "filterdlg.h"
#include "sqldlg.h"

DataDisplay::DataDisplay(qt_oraconnect * cObj, const QString& sql)
//DataDisplay::DataDisplay(qt_oraconnect * cObj, const char * sql)
	: DataContainer(cObj,sql),menuAddition(0)
{
}

DataDisplay::~DataDisplay()
{
#ifdef DESTRACE
	cerr << "DataDisplay destructor" << endl;
#endif
	delete menuAddition;
	menuAddition=0;
}

bool DataDisplay::SortDialog()
{
	SortDlg *sd = new SortDlg(getColList(),getSort());
	if (sd->exec())
	{
		setSort(sd->getInput());
		delete sd;
		sd=0;
		return true;
	}	
	else
	{
		delete sd;
		sd=0;
		return false;
	}
}

bool DataDisplay::FilterDialog()
{
        FilterDlg *fd = new FilterDlg(getColList(),getFilter());
        if (fd->exec())
        {
		setFilter(fd->getInput());
                delete fd;
		fd=0;
                return true;
        }
        else
        {
                delete fd;
		fd=0;
                return false;
        }
}

void DataDisplay::SQLDialog(const QString& SQLName)
{
	SQLDlg *sd = new SQLDlg(SQLName,getSQL());
	sd->exec();
	delete sd;
	sd=0;
}                                                                               

QPopupMenu* DataDisplay::getMenuAddition()
{
	return menuAddition;
}

void DataDisplay::setMenuAddition(QPopupMenu* m)
{
	menuAddition=m;
}
