/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include "dbform.h" 
#include "mdi.h"
#include <iostream.h> 

DBForm::DBForm(QWidget * parent, const QString& name)
//DBForm::DBForm(QWidget * parent, const char * name)
	: DBSheet(parent, name) ,columns(0), label_width(0), text_width(0)
// Construct minimal object
{
	construct();
}

//DBForm::DBForm(const char * q, int cols, int lw, int tw, 
//	       QWidget * parent, const char * name, 
//	       QString SingleField, int sfw, int sfh)
DBForm::DBForm(const QString& q, int cols, int lw, int tw, 
	       QWidget * parent, const QString& name, 
	       QString SingleField, int sfw, int sfh)
        : DBSheet(parent, name), columns(cols), label_width(lw) , text_width(tw),
	  SingleFieldName(SingleField), SingleFieldWidth(0), SingleFieldHeight(0)
// This constructor sets the query
{
	setQueryName(q);
        construct();
}

//DBForm::DBForm(const ObjParm& parm, const char * q, int cols, 
//	       int lw, int tw, QWidget * parent, const char * name, 
//	       QString SingleField,int sfw, int sfh)
DBForm::DBForm(const ObjParm& parm, const QString& q, int cols, 
	       int lw, int tw, QWidget * parent, const QString& name, 
	       QString SingleField,int sfw, int sfh)
        : DBSheet(parm,parent, name), columns(cols), label_width(lw) , text_width(tw),
	  SingleFieldName(SingleField), SingleFieldWidth(0), SingleFieldHeight(0)
// This constructor sets the query
{
        setQueryName(q);
        construct();
}


void DBForm::construct()
{
        setDD();
        connect((FormDataDisplay*)getDD(), SIGNAL(rightButtonPressed(const QPoint &)), this, SLOT(ContextMenu(const QPoint &)));
	 connect((FormDataDisplay*)getDD(), SIGNAL(SQLError(const QString&)), this, SLOT(SQLErrorHandler()));	
}

DBForm::~DBForm()
{
#ifdef DESTRACE
	cerr << "DBForm destructor" << endl;
#endif
}

void DBForm::setDD()
{
	if (getDD())
	{
		removeDD();
	}
	FormDataDisplay* fdd=new FormDataDisplay(gConnObj,getQuery(),
						 columns,label_width,
						 text_width,this,"dd_dbform",
						 SingleFieldName,
						 SingleFieldWidth,
						 SingleFieldHeight);
	assignDD(fdd);
	////getDD()->setNoInitQuery(gMDI->getNoInitQuery());
	retrieve();
	setCentralWidget((FormDataDisplay*)getDD());
}
