/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include "dblist.h" 
#include <iostream.h> 
#include "mdi.h"

DBList::DBList(QWidget * parent, const QString& name, bool ana)
//DBList::DBList(QWidget * parent, const char * name, bool ana)
	: DBSheet(parent, name), allowNumberAlign(ana) 
// Construct minimal object
{
	construct();
}

//DBList::DBList(const char * q, QWidget * parent, const char * name,bool isSQL, bool ana)
DBList::DBList(const QString& q, QWidget * parent, const QString& name,
	       bool isSQL, bool ana)
        : DBSheet(parent, name), allowNumberAlign(ana)
// This constructor sets the query
{
	if (isSQL) setQuery(q);
	else setQueryName(q);
	construct();
}

//DBList::DBList(const ObjParm& parm, const char * q, QWidget * parent, const char * name, bool isSQL, bool ana)
DBList::DBList(const ObjParm& parm, const QString& q, QWidget * parent, 
	       const QString& name, bool isSQL, bool ana)
        : DBSheet(parm, parent, name), allowNumberAlign(ana)
// This constructor sets the query and has a parameter
{
	if (isSQL) setQuery(q);
	else setQueryName(q);
	construct();
}

DBList::DBList(const QDomElement* w)
	: DBSheet(0,w->attribute("caption")),allowNumberAlign(true)
{
//        if (isSQL) setQuery(q);
 //       else setQueryName(q);
	setQueryName(w->attribute("sqlname"));
        construct();
}


void DBList::construct()
{
        setDD();
        connect((GridDataDisplay*)getDD(), SIGNAL(doubleClicked(row*)), this, SLOT(callInfo(row *)));
        connect((GridDataDisplay*)getDD(), SIGNAL(returnPressed(row*)), this, SLOT(callInfo(row *)));
	connect((GridDataDisplay*)getDD(), SIGNAL(rightButtonPressed(const QPoint &)), this, SLOT(ContextMenu(const QPoint &)));
	connect((GridDataDisplay*)getDD(), SIGNAL(SQLError(const QString&)), this, SLOT(SQLErrorHandler()));
}

DBList::~DBList()
{
#ifdef DESTRACE
	cerr << "dblist destructor" << endl;
#endif
}

void DBList::setDD()
{
	if (getDD())
	{
		removeDD();
	}
	GridDataDisplay* gdd = new GridDataDisplay(gConnObj,getQuery(),this,"dd_dblist",allowNumberAlign);
	assignDD(gdd);
	((GridDataDisplay*)getDD())->setAllColumnsShowFocus(TRUE);
	////getDD()->setNoInitQuery(gMDI->getNoInitQuery());
	retrieve();
	setCentralWidget((GridDataDisplay*)getDD());
}
