/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef DBSHEET_H
#define DBSHEET_H  

#include "sheet.h"
#include "datadisplay.h"
#include <qstring.h>
#include <qtoolbutton.h>
class SQLCache;
extern SQLCache * gSQLCache;

class QPopupMenu;
class QTimer;

class DBSheet: public Sheet
{
	Q_OBJECT
public:
	DBSheet(QWidget * parent=0, const QString& name=QString::null); 
	//DBSheet(QWidget * parent=0, const char * name=0); 
	DBSheet(const ObjParm& parm, QWidget * parent=0, 
		const QString& name=QString::null); 
	//DBSheet(const ObjParm& parm, QWidget * parent=0, const char * name=0); 
	virtual ~DBSheet();

public slots:
	virtual void retrieve();
	virtual void SortDialog();
	virtual void FilterDialog();
	virtual void SQLDialog();
	virtual void SaveAs();
	virtual void Print();
	virtual void TimerDialog();

protected:
	virtual void setDD()=0;
	virtual void setQueryName(const QString& name);
	//virtual void setQueryName(const char* name);
	virtual const QString& getQueryName() const;
	//virtual const char * getQueryName() const;
	virtual void setQuery(const QString& name);
	//virtual void setQuery(const char* name);
	virtual const QString& getQuery() const;
	//virtual const char * getQuery() const;
	virtual void fillActionMenu();
	virtual QPopupMenu * addGenerateSQLToActionMenu();
	virtual void setupActionToolBar();
	DataDisplay* getDD() const;
	void removeDD();
	void assignDD(DataDisplay* pdd);
	virtual const bool getLogMode() const;

protected slots:
	virtual void adaptSheetTitle();
	virtual void adaptActionMenu();
	virtual void SQLErrorHandler();
        virtual void toggleLogMode();

private:
	//char* query;
	//char* queryName;
	QString query;
	QString queryName;
	DataDisplay* dd;
	QTimer* timer;
	int timerInterval;
	int menuAdditionId; // addition to the action menu by the DD
	int menuAdditionSeparatorId; // id of the separator for the menu addition
	int refreshToggleMenuItem;
	QToolButton * corButton;

	void StartOrUpdateTimer(int interval);

};


#endif  
