/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef DBTAB_H
#define DBTAB_H  

#include "dbsheet.h"
#include "tabdatadisplay.h"

class DBTab: public DBSheet
{
	Q_OBJECT
public:
	DBTab(QWidget * parent=0, const QString& name=QString::null);
	//DBTab(QWidget * parent=0, const char * name=0);
	DBTab(const ObjParm& parm, QWidget * parent=0, 
	      const QString& name=QString::null);
	//DBTab(const ObjParm& parm, QWidget * parent=0, const char * name=0);
	virtual ~DBTab();

        virtual void addTab(QWidget *widget, const QString& name);

        virtual void addGridTab(GridDataDisplay *grid, const QString& name, 
			        const QString& sqlname=QString::null);
        virtual void addGridTab(QString sqlname, const QString& name, bool ana=true);

        virtual void addFormTab(FormDataDisplay *form, const QString& name, 
				const QString& sqlname=QString::null);
        virtual void addFormTab(QString sqlname, const QString& name, 
				int cols=1, int lw=100, int tw=100, 
				QString SingleField=QString::null,int sfw=0, int sfh=0);

        virtual void addMLETab(MLEDataDisplay *mle, const QString& name, 
			        const QString& sqlname=QString::null);
        virtual void addMLETab(QString sqlname, const QString& name,
			       bool headers=false, QString line_sep="\n", 
			       QString col_sep="\t", QString head_sep="\n");

        virtual void addTabTab(TabDataDisplay *tab, const QString& name);

protected:
	virtual void setDD();
	virtual const QString& getQueryName() const;
	//virtual const char * getQueryName() const;

protected slots:
	
private:
	void construct();
	QDict<QString> queryNames;
};


#endif  
