/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef LOGONDLG_H
#define LOGONDLG_H

#include <qdialog.h>

class QLineEdit;
class QSizePolicy;
class QLabel;
class QComboBox;
class QStringList;

class LogonDlg : public QDialog {
	Q_OBJECT
public:
	LogonDlg(QWidget *parent=0, QString name=QString::null, 
		const QString& un="", const QString& pw="", 
		const QString& ta="", const QString& talist="");
	virtual ~LogonDlg();
	virtual const QString getUsername() const;
	virtual const QString getPassword() const;
	virtual const QString getTNSAlias() const;
	
	virtual QSizePolicy sizePolicy () const;

protected:

private:
	QLineEdit *username;
	QLineEdit *password;
	QComboBox *tnsalias;

	QStringList breakCommaDelimitedList(const QString& cdList);
};

#endif
