/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef ROW_H
#define ROW_H
 
#include <qlistview.h>
#include <qstring.h>
#include "cell.h"

class row: public QListViewItem
{
public:
	row(QListView * parent, bool ana=true);
	row(QListView * parent, row *after, bool ana=true);
	virtual ~row();

	void createCells(int pNoCells);
	void setText ( int column, const QString & text );
	QString text( int column ) const;
	virtual void paintCell( QPainter * p, const QColorGroup & cg, int column, int width, int align );
	virtual void paintFocus ( QPainter * p, const QColorGroup & cg, const QRect & r );
	const QString getCellbyName (const QString colname) const;

private:
	cell* cells;
	int NoCells;
	bool allowNumberAlign;
};

#endif
