/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#ifndef SQLCACHE_H
#define SQLCACHE_H

#include <qfile.h>
#include <qtextstream.h>
#include <qstring.h>
#include <qcache.h>
#include <qobject.h>

//template <class QString> class QCache;

class SQLCache:public QObject
{
	Q_OBJECT
public:
	SQLCache(const QString& fn, const QString oraver, const int maxitems);
	virtual ~SQLCache();

	const QString getSQL(const QString & name) ;

public slots:
	void clear();

private:
	QString getSQLfromFile(const QString & name,const QString& section) ;
	QString filename, oraversion;
	QTextStream *stream;
	QFile file;
	QCache<QString> *cache;
};

#endif
