/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include <iostream.h>
#include "griddatadisplay.h"
#include "w_dba_packages_info.h"
#include <qmessagebox.h>
#include "sqlcache.h"

w_dba_packages_info::w_dba_packages_info(const ObjParm& parm)
	: DBTab(parm,0,"Package information for "+parm.getParm(0)+"."+parm.getParm(1))
{
	//setCaption("Package information for "+parm.getParm(0)+"."+parm.getParm(1));
	makeTabs();
        show();
}

const QString w_dba_packages_info::getSQLForSubTabs(const QString& sqlname)
{
	// Test for SQLCache
        if (!gSQLCache)
        {
                QMessageBox::critical( 0, "SQL cache error", QString("The SQL cache is not set up"),QMessageBox::Ok | QMessageBox::Default,0,0);
                return QString::null;
        }
	QString sql = gSQLCache->getSQL(sqlname);
	if (sql!="")
        {
                return sql;
        }
        else
        {
                // Unwind the waitCursors that may have been set elsewhere
                while (qApp->overrideCursor()) qApp->restoreOverrideCursor();
                QMessageBox::critical( 0, "SQL cache error", QString("The following SQL could not be found: ") + sqlname,QMessageBox::Ok | QMessageBox::Default,0, 0);
		return QString::null;
        }
}


void w_dba_packages_info::makeTabs()
{
	// Setup first main tab
	TabDataDisplay* header_tab = new TabDataDisplay(gConnObj,this,"Header");
	header_tab->addMLETab(getSQLForSubTabs("dba_source_text_per_package_header"),"Text",false,QString::null);
	header_tab->addGridTab(getSQLForSubTabs("dba_source_per_package_header"),"Grid");
	header_tab->addFormTab(getSQLForSubTabs("dba_objects_per_package_header"),"Object",2,130,130);
	header_tab->addGridTab(getSQLForSubTabs("dba_errors_per_package_header"),"Errors");

	addTabTab(header_tab,"Header");

	// Setup second main tab
	TabDataDisplay* body_tab = new TabDataDisplay(gConnObj,this,"Body");
	body_tab->addMLETab(getSQLForSubTabs("dba_source_text_per_package_body"),"Body (text)",false,QString::null);
	body_tab->addGridTab(getSQLForSubTabs("dba_source_per_package_body"),"Body (Grid)");
	body_tab->addFormTab(getSQLForSubTabs("dba_objects_per_package_body"),"Object (Body)",2,130,130);
	body_tab->addGridTab(getSQLForSubTabs("dba_errors_per_package_body"),"Errors");
	addTabTab(body_tab,"Body");

	// Add other main tabs
	addGridTab("dba_tab_privs_per_table","Privs");
}
