/****************************************************************************
 *
 * DBAComp(anion) - An administration tool for Oracle databases
 * Copyright (C) 2000-2003  Torsten FASSIAN (torsten@internet.lu) 
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	As a special exception, you have permission to link this program
 *	with the Qt library and distribute executables, as long as you
 *	follow the requirements of the GNU GPL in regard to all of the
 *	software in the executable aside from Qt.
 *
 ****************************************************************************/
#include <iostream.h>
#include "griddatadisplay.h"
#include "w_dba_views_info.h"
#include "sqlcache.h"
#include "row.h"
#include "config.h"

w_dba_views_info::w_dba_views_info(const ObjParm& parm)
	: DBTab(parm,0,"View information for "+parm.getParm(0)+"."+parm.getParm(1))
{
	//setCaption("View information for "+parm.getParm(0)+"."+parm.getParm(1));
	makeTabs();
        show();
}

void w_dba_views_info::makeTabs()
{
	addMLETab("view_text","Text",false,QString::null);
//	addFormTab("view_text","Text",1,0,130,"TEXT",500,250);
	addFormTab("dba_objects_per_view","Object",2,130,130);
	
        gConfigFile->setGroup("MISC");
        QString max_rows = gConfigFile->readEntry("max_rows","1000000000000");
	GridDataDisplay * rowtab = new GridDataDisplay(gConnObj,"select * from "+getWinParm()->getParm(0)+"."+getWinParm()->getParm(1) + " where rownum < "+max_rows,0,"Rows");
	addGridTab(rowtab,"Rows(limited to "+max_rows+")","dynamically generated");

	addGridTab("dba_tab_columns_per_table","Columns");
	addFormTab("dba_tab_comments_per_table","Comments",1,50,20,"COMMENTS",400,200);
	addGridTab("dba_tab_privs_per_table","Privs");
}
